<!--
 * @Author: your name
 * @Date: 2022-01-14 11:42:25
 * @LastEditTime: 2022-01-14 15:24:14
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: /hs-app-project/src/pages/brands/everyDay.vue
-->
<template>
  <!-- 每日上新 -->
  <u-card full :head-border-bottom="false">
    <view slot="body">
      <view class="hotFlex">
        <hot-style v-if="recordsList.length>0" :recordsList="recordsList"></hot-style>
      </view>
    </view>
  </u-card>
</template>

<script>
import hotStyle from "./components/hotStyle"; //热门款式
export default {
  components: {
    hotStyle,
  },
  data() {
    return {
      recordsList:[]
    };
  },
  created(){
      console.log("ces");
      this.materialDetail()
    },
  methods: {
    materialDetail() {
        let param = {
          "current": 1,
          "size": 10,
          "styleTag": ""
        }
        this.$http('mobileBrand.dailyNewStylePage', param).then(res => {
          let {
            code,
            data
          } = res;
          if (code === 200) {
            this.recordsList = data.records;
            console.log(this.recordsList,"this.recordsList");
          }
        });
      }
  },
};
</script>

<style lang="scss" scoped>
::v-deep .u-card__body {
  padding-top: 20rpx !important;
  background-color: #f5f5f5;
}
::v-deep .u-card__head {
  padding: 0rpx !important;
}
.hotFlex {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}
</style>
